# file.write Writes character data string to a file
Usage
    file.write [-a] [-l] <filename> <data>
Description
Writes <data> (which is a string of characters) to the file <filename>. It does NOT append a traling LF character: if you want it you must explicitly specify it in the <data> parameter. -a causes the command to append the <data> to the file instead of overwriting the entire file. The path is adjusted according to the system that KVIrc is running on so you don't have to bother about portability: it *should* be automatically guaranteed. Just use UNIX style paths for them. The file is saved in utf8 unless the -l switch is specified (in that case the local 8 bit encoding is used). Please note that utf8 is the only character set that preserves ALL the possible characters with the exception of the null terminator. If you want to write binary data take a look at [fnc]$file.writeBytes[/cmd] instead.
Switches
-a | --append
If the file already exists, append the data instead of overwriting the original contents.
-l | --local-8-bit
Causes the file to be written in the local 8 bit character set instead of the default utf8.
Syntax Specification
    file.write [-a] [-l] <filename:string> <data:string>
See also
file.rename, $file.exists

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by builduser at Mon Mar 13 18:15:52 2017